#ifndef CONNECTSERVERDIALOG_H
#define CONNECTSERVERDIALOG_H

#include <QDialog>
#include <QList>
#include "ui_connect.h"
#include <settings.h>

namespace NDEFileMAN {

class ConnectServerDialog : public QDialog {
  Q_OBJECT

public:
  ConnectServerDialog(QWidget* parent=nullptr);
  virtual ~ConnectServerDialog();

  QString uriText();

public Q_SLOTS:
  void listItemClick(QListWidgetItem *);
  void favoriteTextChanged(QListWidgetItem *);
  void deleteFavorite();

private:
  struct ServerType {
    QString name;
    const char* scheme;
    int defaultPort;
    bool canAnonymous;
  };

private Q_SLOTS:
  void onCurrentIndexChanged(int index);
  void checkInput();
  void buttonOkClick();


private:
  Ui::ConnectServerDialog ui;
  connectFavHisData *connectInfo;
  QList<ServerType> serverTypes;

  QList<connectFavHisData::data> connectFavoriteData;
  QList<connectFavHisData::data> connectHistoryData;

};

} // namespace NDEFileMAN

#endif // CONNECTSERVERDIALOG_H
